/* gvSIG Mini. A free mobile phone viewer of free maps.
 *
 * Copyright (C) 2010 Prodevelop.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *   Prodevelop, S.L.
 *   Pza. Don Juan de Villarrasa, 14 - 5
 *   46001 Valencia
 *   Spain
 *
 *   +34 963 510 612
 *   +34 963 510 968
 *   prode@prodevelop.es
 *   http://www.prodevelop.es
 *
 *   gvSIG Mini has been partially funded by IMPIVA (Instituto de la Peque�a y
 *   Mediana Empresa de la Comunidad Valenciana) &
 *   European Union FEDER funds.
 *   
 *   2010.
 *   author Alberto Romeu aromeu@prodevelop.es
 */

package es.prodevelop.android.spatialindex.quadtree;

import java.io.File;

public class TestConstants {

	public final static String TEST_FILES_PATH = "." + File.separator
			+ "test-files" + File.separator;

	public final static String GENASYS_POI_FILE_NAME = "genasys.poi.txt";
	public final static String LONDON_POI_FILE_NAME = "london.poi.txt";
	public final static String MADRID_POI_FILE_NAME = "madrid.poi.txt";
	public final static String LONDON_STREETS_FILE_NAME = "london.calles.txt";

	public final static String ICELAND_1_POI_FILE_NAME = "ice.item.0capital.pois.txt";
	public final static String ICELAND_2_POI_FILE_NAME = "ice.item.1restofcountry.pois.txt";

	public final static String ICELAND_1_STREETS_FILE_NAME = "ice.item.0capital.ways.txt";
	public final static String ICELAND_2_STREETS_FILE_NAME = "ice.item.1restofcountry.ways.txt";

	public final static String LONDON_POI_FS_PERSISTER_DIR = "FSQuadtreePersisterFiles_London_pois";
	public final static String LONDON_STREET_FS_PERSISTER_DIR = "FSQuadtreePersisterFiles_London_street";
	public final static String MADRID_POI_FS_PERSISTER_DIR = "FSQuadtreePersisterFiles_Madrid_pois";

	public final static String PERST_DATABASE_FOLDER = "perst/london";
	public final static String PERST_QUADTREE_DATABASE = "perst_quadtree.db";
	public final static String PERST_SIMPLE_R_DATABASE = "perst_rtree.db";
	public final static String PERST_CLUSTER = "perst_cluster.db";
	public final static String PERST_CLUSTER_CAT = "perst_cluster_cat.db";
	public final static String PERST_STREETS = "perst_streets.db";
	public final static String PERST_STREETS_CLUSTER_CAT = "perst_streets_cluster_cat.db";

}
